Copy usergroup permissions 1.0.2

License Agreement
GNU Lesser General Public License (LGPL)
Website
http://revocode.de
Supported Versions
Burning Board 4.0 / WCF 2.0
Burning Board 4.1 / WCF 2.1
WoltLab Suite 3.0
WoltLab Suite 3.1
WoltLab Suite 5.2

Copies the usergroup permissions from a source usergroup to chosen target usergroups (multiselect)

Copies the usergroup permissions from a source usergroup to chosen target usergroups (multiselect)


You can find the menu point at: ACP => User => Usergroup => Copy usergroup permissions
Required permissions: Can edit usergroups

  • Version 1.0.2

    Compatibility update to WS 5.2
  • Version 1.0.1

    Update for all versions
  • Version 1.0.0 pl 1

    Fixes a problem with the form path and makes it compatible with WSC 3
  • Version 1.0.0

  • Guten Abend.


    Die Erweiterung lässt sich leider nicht unter 5.2 installieren.


    Mit freundlichen Grüßen


    webpexel

    • Hi. Die Version 1.0.2 müsste in der WS Version 5.2 installierbar sein.


      Was kommt den für eine Rückmeldung wenn du es installieren willst?

    • Merkwürdig. Gestern sagte er mir ständig, das es nicht geht. Heute hat es geklappt.


      Danke :-)

  • Danke

  • I tried to install it on WSC 5.2 but I get an error saying it is not compatible with the WoltLab Suite

    • Hi. This package is not updated for WSC 5.2 yet. The specification of the supported version for WSC 5.2 was added automatically by the filebase system and is wrong, sorry for the confusion about that.


      I will add a new version until sunday this week so you can update your board. In the meantime you can uninstall it too and install it again after the update for the plugin is ready.

      Thanks 1
    • Perfect I will wait for the new version! thank you!

    • Wurde das Plugin denn eventuell schon hochgeladen? :)

    • Not yet :)

    • Ich warte hier auch auf ein kompatibles Update für das WSC 5.2. :)

  • Sowas sollte schon von Hause aus drin sein im CMS,besten Dank Dir ;)

    Like 1
  • Hallo,

    kann das sein, das der nur die Rechte übernimmt,

    aber zbs. den Type der Benutzergruppe und den Gruppenleiter nicht?

    Das man die Einstellungen nachträglich einstellen muß?

    Danke

  • Muss ich die Version 1.0.0 deinstallieren, um 1.0.1 zu installieren? Die Installation sagt, ein Update sei nicht supportet.

    • Habs noch nicht getestet mit deinstallieren und neu installieren, habe aber das selbe update Problem

    • Hab auch das Problem. Screen der Fehlermeldung gerne per PN :-)

    • Hi. Da fehlt die Zwischenversion 1.0.0 pl 2, die ich hier nicht mehr hochgeladen habe.


      Einfach das Plugin deinstallieren und neu installieren. Dann sollte alles funktionieren.

      Like 2
    • Hallo,
      Gemacht, funktioniert :-)
      Danke... :-)

  • Wird das noch für 3.1 geupdated? *lieb guck*

    • Tag. Jap. Das sollte bald ein Update bekommen.

      Like 3
    • Danke dir. :)

    • Weißt du ungefähr wann? c:
      Also noch diese Woche oder nächste? c:

    • Das Update kommt morgen im Laufe des Tages auf meinen Paketserver auf revocode.de und wird auch im Plugin Store hochgeladen. Die Freischaltung hier dauert aber eine Weile.

    • Gibt es schon Neuigkeiten, wann dies hier geupdated wird?

  • Womöglich habe ich einen Fehler gefunden: Nachdem ich die Rechte einer Gruppe auf eine andere kopiert hatte, wird die vorher im ACP alphabetisch korrekt gelistete Zielgruppe des Kopierens ganz unten angezeigt und verbleibt auch dort? Logik?

  • Hallo! Was bringt dieses Plugin in WSC 3? Die Benutzergruppen kann man doch von Haus aus kopieren, oder verstehe ich etws falsch? Die Berechtigung Kann Benutzergruppe ändern kann ich in WSC 3 nicht finden. MfG

    • Hi. Es ist möglich, von einer Benutzergruppe die Rechte auf mehrere Benutzergruppen zu kopieren, falls man dies benötigt. Wenn du nur eine Benutzergruppe kopieren möchtest, dann kannst du auch die interne Funktion des WSC benutzen.

    • Hi, danke für deine rasche Antwort. Irgendwie finde ich die Funktion bei mir nicht. MfG

    • Welche Funktion? Falls du das Kopieren der Benutzergruppenrechte meinst, findest du diese unter dem Link zu den Benutzergruppen im ACP. Das Recht "Kann Benutzergruppe ändern" ist in den administrativen Rechten einer Benutzergruppe.

  • Fantastische Arbeit! Diese Erweiterung spart Zeit und Nerven. Recht herzlichen Dank für dieses PlugIn.

    Like 1
  • Wenn ich auf "Benutzergruppenrechte kopieren" klicke bekomme ich folgenden Fehler "Error 500 Der Server kann diese Webseite nicht laden, da ein Fehler in einem PHP-Skript oder in einer .htaccess-Datei aufgetreten ist."
    Benutze Woltlab Suite 3.

    • Tag. Ja da hast du recht. Die Version, die das behebt ist noch hier in der Freischaltung. Habe den Versionsfilter wohl zu früh für das WSX 3 aktiviert. Ich stelle es mal um und wenn du meine neue Version dann aktiv ist, zeige ich wieder die Kompatibilität für das WSC 3 wieder an

    • Ist nun mit der Version 1.0.0 pl 1 mit der WoltLab Suite 3.0 kompatibel.

  • Danke.

  • Danke für dieses Helferlein. ;)

  • Hallo,


    wird das Plugin für WCF 2.2 angepasst werden?

  • Compatible with 4.1?

  • Wird das Plugin noch geupdatet?

    • Inwiefern? Es funktioniert doch einwandfrei.

    • Ich meinte eigentlich, ob du es noch generell entwickelst.

    • In anbetracht, dass es hier nicht mehr zu machen gibt, eigentlich nicht.

    • Wirst du es denn kompatibel machen für 4.1 oder generell alle deine Plugins. Also das Weiterleitungsplugin zum Beispiel auch. Das gefällt mir nämlich besonders gut ;)

    • Ich werde alle meine Plugins kompatibel machen :) Das Google Maps Plugin ein wenig später, da es umgeschrieben wird.


      Testen werde ich dies aber erst, wenn es ein Release Candidate von der 4.1 geben wird.


      Gruß

  • Eine sehr sinnvolle Erweiterung die zum Basic gehören sollte, da sie die Arbeitszeit verkürzt, wenn man zum Beispiel mit einem Testforum vorab arbeitet und die Einstellungen dann übernehmen möchte.

  • das gibt es schon lange bei https://jd-net.eu/filebase/ind…-Benutzergruppe-kopieren/ also nichts neues ;)

    • Ich glaube der Administrator hätte dies im Plugin-Store hochladen müssen...so kann ja keiner Wissen, ob es solch ein Plugin gibt oder nicht ;)

    • war im beta bekannt ;) schon seit Beta 7 :)

    • Mir war es nicht bekannt^^

    • wobei das von da besser ist weil es direkt beim erstellen einer neuen gruppe ausgewählt werden kann ;)

    • Der Link geht nicht mehr. Also ist das dann der einzigste Plugin für Benutzergruppenrechte kopieren oder irre ich mich da? Finde die Arbeit von Sonnenspeer immer gut.^^

      Like 2
  • Gerne. Euch allen ;)

  • Klasse ... Super ... Dankeeeeeeee ;)

  • Super, danke ... :)

  • Ich auch,super Arbeit vielen dank.Konnte bis jetzt keine Fehler finden.

  • Darauf habe ich gewartet... :)

  • Wunderbare Umsetzung

    Wie immer eine wunderbare und ordentlich umgesetztes Plugin. Für mich ist Sonnenspeer einer der Top Entwickler. Danke für deine Arbeiten.

  • Must have plugin

    Really does make the job easier when creating your forum and permissions for multiple groups have to be set.


    Version 5.2.0 can't be here soon enough :D